org.gradle.platform.base

## Interface Platform

- All Superinterfaces:
    Named
  All Known Subinterfaces:
    JavaPlatform, NativePlatform, PlayPlatform, ScalaPlatform

      @Incubating
      public interface Platform
      extends Named

  The platform or runtime that a binary is designed to run on. Examples: the JvmPlatform defines a java runtime, while the NativePlatform defines the Operating System and Architecture for a native app.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Returns a human consumable name for this platform.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName()

      Returns a human consumable name for this platform.